# class GraphicsSolidFill

#### package openfl.display

#### implements IGraphicsFill, IGraphicsData

Available on all platforms

Defines a solid fill.

Use a GraphicsSolidFill object with the `Graphics.drawGraphicsData()` method. Drawing a GraphicsSolidFill object is the equivalent of calling the `Graphics.beginFill()` method.

### Constructor

###

`new (color:UInt = 0, alpha:Float = 1)`

Creates a new GraphicsSolidFill object.

Parameters:

`color` | The color value. Valid values are in the hexadecimal format 0xRRGGBB.
`alpha` | The alpha transparency value. Valid values are 0(fully transparent) to 1(fully opaque).

### Variables

###

`alpha:Float`

Indicates the alpha transparency value of the fill. Valid values are 0 (fully transparent) to 1(fully opaque). The default value is 1. Display objects with alpha set to 0 are active, even though they are invisible.

###

`color:UInt`

The color of the fill. Valid values are in the hexadecimal format 0xRRGGBB. The default value is 0xFF0000(or the uint 0).